<?php
/**
 * @package Iyosis Piwik for Joomla! 1.5
 * @author Remzi Degirmencioglu
 * @copyright (C) 2011 www.iyosis.com
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/
 
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controller');

class IyosisPiwikController extends JController
{
	function __construct()
	{
		parent::__construct();

		//Visitors
		$this->registerTask( 'visitors', 'display' );
		$this->registerTask( 'engagement', 'display' );
		$this->registerTask( 'locations', 'display' );
		$this->registerTask( 'times', 'display' );
		$this->registerTask( 'settings', 'display' );

		//Actions
		$this->registerTask( 'pages', 'display' );
		$this->registerTask( 'pagetitles', 'display' );
		$this->registerTask( 'outlinks', 'display' );

		//Referrers
		$this->registerTask( 'referrers', 'display' );
		$this->registerTask( 'searchengines', 'display' );

	}
	/**
	 * Method to display the view
	 *
	 * @access    public
	 */
	function display()
	{
		parent::display();
	}
}
