<?php
/**
 * @package Iyosis Piwik for Joomla! 1.5
 * @author Remzi Degirmencioglu
 * @copyright (C) 2011 www.iyosis.com
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/
 
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' ); ?>

<?php
// case error
if(!$this->getBrowserTypeData) print("Error, content fetched"); ?>
<div class="widget">
	<div class="widgetTop"><div class="widgetName"><?php echo JText::_( 'Browsers' ); ?></div><div class="widgetConf">(<?php echo $this->config->period.", ".$this->config->date ?>)</div></div>
	<div class="widgetContent">
		<table cellspacing="0" class="dataTable">
			<tbody>
				<tr>
					<td colspan="2">
						<div id="getBrowserType" style="width:100%;height:250px;"></div>
						<script id="source" language="javascript" type="text/javascript">
						jQuery.noConflict();
						jQuery(function () {
							jQuery.jqplot.config.enablePlugins = true;
							getBrowserType = [
							<?php
							foreach($this->getBrowserTypeData as $value)
							{
								$label = $value['label'];
								$visits = $value['nb_visits'] ? $value['nb_visits'] : '0';
								print("['".$label."', ".$visits."],");
							}
							?>
							];

							jQuery.jqplot('getBrowserType', [getBrowserType], {
								legend:{show:true},
								gridPadding:{top:10, right:20, bottom:15, left:20},
								seriesDefaults: {
									renderer:jQuery.jqplot.PieRenderer
								}
							});
						});
						</script>
					</td>
				</tr>
				<tr>
					<th id="label" class="sortable first label"><div id="thDIV"><?php echo JText::_( 'Browser families' ); ?></div></th>
					<th id="nb_visits" class="sortable last columnSorted"><div id="thDIV"><?php echo JText::_( 'Visits' ); ?></div></th>
				</tr>
				<?php
				foreach($this->getBrowserTypeData as $value)
				{
				$label = $value['label'];
				$visits = $value['nb_visits'];
				print("
				<tr id=\"22\" class=\"subDataTable\">
					<td class=\"label labelodd\"><span class=\"label\">$label</span></td>
					<td class=\"columnodd\">$visits</td>
				</tr>");
				}
				?>
			</tbody>
		</table>
	</div>
</div>
